summary refs log tree commit diff
path: root/bin/vncez
diff options
context:
space:
mode:
Diffstat (limited to 'bin/vncez')
-rwxr-xr-xbin/vncez23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/vncez b/bin/vncez
new file mode 100755
index 0000000..660db41
--- /dev/null
+++ b/bin/vncez
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+if [ -n "$1" ]; then
+	printf "usage: %s\n" "$(basename "$0")"
+	printf "\n"
+	printf "launches wayvnc(1), wshowkeys(1) and remmina(1)\n"
+	exit 2
+fi
+
+trap '{ pkill wshowkeys; pkill wayvnc; pkill remmina; }' EXIT
+
+# echo "=> starting wshowkeys"
+# swaymsg exec "wshowkeys -a bottom -a left -F 'Iosevka Sparkle 25' -t 1" >/dev/null
+echo "=> starting wayvnc"
+swaymsg exec "wayvnc -c dmabuf 0.0.0.0 5500" >/dev/null
+echo "=> starting remmina"
+swx -g "1820,50 720x450" -b none -s -I "org.remmina.Remmina" remmina -c "$HOME"/.local/share/remmina/group_vnc_wayvnc_localhost-5500.remmina
+
+while true; do
+	sleep $((1024*1024))
+done